Subject: Re: 23.0.60; font faces setting ignored by emacsclient run against --daemon
From: Chong Yidong <[email-masked]>
To: Dan Nicolaescu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 13 Aug 2009 12:03:51 -0400

Stefano Zacchiroli wrote:

> I'm routinely using "emacsclient -c" against a main Emacs which have
> a (server-start) in its ~/.emacs to start the Emacs server by
> default. Everything is fine in that setting.
>
> However, if instead of using a main Emacs I use an Emacs demonized
> with --daemon, then the clients started by "emacsclient -c" start
> properly, but they ignore setting about font faces.

I found the problem.  Viper loads advice, which loads help-fns.el, which
defines the `help-argument-name' face.  In daemon mode, this causes this
face to be defined out of order, before the foreground and background
colors are initialized.  This can be solved by moving
`help-argument-name' into faces.el.

I've checked the fix into CVS trunk.